> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List wishlists for authenticated user

> Returns a paginated list of wishlists for the authenticated user. The total_items count reflects the filtered results (if applied).



## OpenAPI

````yaml /swagger/auth-api.json get /api/v1/{app_id}/wishlists
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/wishlists:
    get:
      tags:
        - Wishlist
      summary: List wishlists for authenticated user
      description: >-
        Returns a paginated list of wishlists for the authenticated user. The
        total_items count reflects the filtered results (if applied).
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Filter wishlists by name
          in: query
          name: name
          schema:
            type: string
        - description: 'Page number (default: 1, minimum: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Number of items per page (default: 20, minimum: 1, maximum: 100)'
          in: query
          name: per_page
          schema:
            type: integer
      responses:
        '200':
          description: Paginated list of wishlists with metadata
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.PaginatedResponse-github_com_enadhq_koopa-key_internal_pkg_server_models_WishlistResponse
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
      security:
        - Bearer: []
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.PaginatedResponse-github_com_enadhq_koopa-key_internal_pkg_server_models_WishlistResponse:
      properties:
        items:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistResponse
          type: array
        page:
          type: integer
        page_size:
          type: integer
        total_items:
          type: integer
        total_pages:
          type: integer
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        is_default:
          type: boolean
        item_count:
          type: integer
        name:
          type: string
        updated_at:
          type: string
        user_id:
          type: string
      type: object

````